# Alias_TypeCode.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCodeFactory_Adapter.h"`
`#include "tao/TypeCode_Base_Attributes.h"`

Include dependency graph for Alias_TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >
| `CORBA::TypeCode` implementation for an OMG IDL `typedef`. More...

## Detailed Description

Id
  Alias_TypeCode.h,v 1.9 2005/05/12 00:54:17 ossama Exp

Header file for a `tk_alias` and `tk_value_box` `CORBA::TypeCode`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>